%define section free

Summary:        Quartz Enterprise Job Scheduler
Name:           quartz
Version:        1.2.3
Release:        1jpp
Epoch:          0
License:        Apache Software License -style
URL:            http://www.quartzscheduler.org/
Group:          Development/Libraries
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        http://prdownloads.sourceforge.net/quartz/quartz-1.2.3.tar.gz
BuildRequires:  ant >= 0:1.5.4, jpackage-utils >= 0:1.5.32
BuildRequires:  junit >= 0:3.8.1
BuildRequires:  jdbc-stdext-ext >= 0:2.0
BuildRequires:  jta >= 0:1.0.1
BuildRequires:  ejb >= 0:2.1
BuildRequires:  servletapi4 >= 0:4.0.4
BuildRequires:  struts >= 0:1.0.2
BuildRequires:  jakarta-commons-logging >= 0:1.0.3
BuildRequires:  jakarta-commons-dbcp >= 0:1.1
BuildRequires:  jakarta-commons-pool >= 0:1.1
BuildRequires:  log4j >= 0:1.2.8
#BuildRequires:  /usr/bin/sed
Requires:  jdbc-stdext-ext >= 0:2.0
Requires:  jta >= 0:1.0.1
Requires:  ejb >= 0:2.1
Requires:  servletapi4 >= 0:4.0.4
Requires:  struts >= 0:1.0.2
Requires:  jakarta-commons-logging >= 0:1.0.3
Requires:  jakarta-commons-dbcp >= 0:1.1
Requires:  jakarta-commons-pool >= 0:1.1
Requires:  log4j >= 0:1.2.8
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Quartz is a job scheduling system that can be integrated with, or used 
along side virtually any J2EE or J2SE application. Quartz can be used 
to create simple or complex schedules for executing tens, hundreds, or 
even tens-of-thousands of jobs; jobs whose tasks are defined as standard 
Java components or EJBs. 

%package demo
Summary:        Examples for %{name}
Group:          Development/Documentation
Requires:       quartz = 0:1.2.3

%description demo
Examples for %{name}.

%package manual
Summary:        Manual for %{name}
Group:          Development/Documentation

%description manual
Manual for %{name}.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;
sed -e 's/\.\.\/\.\.\/\.\.\/apps\/jboss-3\.2\.1/\/var\/jboss/' \
	-e 's/tmplts\/default/all/' build.xml > build.xml.mod
cp build.xml.mod build.xml
ln -s $(find-jar jdbc-stdext) lib/jdbc2_0-stdext.jar 
ln -s $(find-jar jta) lib/jta.jar 
ln -s $(find-jar ejb) lib/ejb.jar 
ln -s $(find-jar servletapi4) lib/servlet.jar 
ln -s $(find-jar struts) lib/struts.jar 
ln -s $(find-jar commons-logging) lib/commons-logging.jar 
ln -s $(find-jar commons-dbcp) lib/commons-dbcp.jar 
ln -s $(find-jar commons-pool) lib/commons-pool.jar 
ln -s $(find-jar log4j) lib/log4j.jar 
ln -s $(find-jar junit) lib/junit.jar 

%build
ant all

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p lib/%{name}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr docs/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

rm -rf docs/javadoc

# manual
mkdir -p $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}
cp -pr docs/* $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}
cp readme.txt $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}
cp license.txt $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}
cp releaseNotes.txt $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_datadir}/doc/%{name} # ghost symlink

# demo
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp -pr examples/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_datadir}/%{name} # ghost symlink


%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%{_docdir}/%{name}-%{version}/readme.txt
%{_docdir}/%{name}-%{version}/license.txt
%{_docdir}/%{name}-%{version}/releaseNotes.txt
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}-%{version}
%{_datadir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%{_datadir}/doc/%{name}-%{version}
%{_datadir}/doc/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}


%changelog
* Mon Jan 19 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.2.3-1jpp
- First JPackage build
